Subject: bug#45186: closed (Re: bug#45186: Emacs master: build broken by spurious message ".../c-by.elc failed to provide feature `semantic/bovine/c-by")

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Dec 2020 14:32:02 +0000

Your bug report

#45186: Emacs master: build broken by spurious message ".../c-by.elc failed to provide feature `semantic/bovine/c-by"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45186: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45186
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45186: Emacs master: build broken by spurious message ".../c-by.elc failed to provide feature `semantic/bovine/c-by"
From: Alan Mackenzie <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Dec 2020 14:31:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Lars.

On Sat, Dec 12, 2020 at 14:17:40 +0100, Lars Ingebrigtsen wrote:
> Alan Mackenzie <[email-masked]> writes:

> > Whoops, forgot about the actual bug.  It feels like there was an actual
> > bug in make bootstrap here, but it's not obvious what.

> It is somewhat surprising that "make bootstrap" removes less stuff than
> "extraclean", I think?  People understandably get a bit confused about
> all these "clean" levels, but I'm not sure what to do about it...

> > Clearly the bug needs to be closed.  What do you think it is?  a
> > notabug, a wontfix, or what?

> Just a "close" with no other status, I think.  :-)

OK.  This post is closing the bug.

Thanks again for the help.

> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: Emacs master: build broken by spurious message ".../c-by.elc failed to provide feature `semantic/bovine/c-by"
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Fri, 11 Dec 2020 20:31:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Emacs.

I've just updated a master repo here, and tried a make bootstrap.

I get the error message:

    cedet/semantic/bovine/c.el:35:1: Error: Loading file
    /home/acm/emacs/emacs.git/sub-master-a/lisp/cedet/semantic/bovine/c-by.elc
    failed to provide feature `semantic/bovine/c-by'

.  There is a perfectly good line at the end of this file:

    (provide 'c-by)

.  So what is expecting the compound symbol `semantic/bovine/c-by' to be
provided, and why?

-- 
Alan Mackenzie (Nuremberg, Germany).